Subject: Small ICMP error in RFC 3032

From: Stephane Bortzmeyer <[email-masked]>
Date: Fri, 18 May 2007 17:12:36 +0200

RFC 3032 says, section 2.3.2:

      Since an ICMP message is never sent as a result of receiving an ICMP
      message,

But this is not what RFC 1122 says in section 3.2.2 :

        An ICMP error message MUST NOT be sent as the result of
         receiving:

         *    an ICMP error message, or

("error message", not just "message")

Counter-example: when I ping a host, an ICMP echo-reply message is
generated as the result of my echo-request message. I believe RFC 3032
is wrong here, although it does not seem to have practical
consequences.

(RFC 4379 is also an useful reading here)